Generator TOTP / HOTP pentru parole unice securizate
Generatorul TOTP / HOTP creează parole unice dintr-un secret comun Base32. TOTP folosește ora curentă, în timp ce HOTP folosește un contor. Alege 6, 7 sau 8 cifre, SHA-1, SHA-256 sau SHA-512 și o perioadă de timp precum 15, 30 sau 60 de secunde. O numărătoare inversă live arată cât timp rămâne valid codul TOTP curent.
Generatorul TOTP / HOTP creează parolele unice folosite în autentificarea cu doi factori. Acceptă TOTP (RFC 6238), care derivă un cod proaspăt din ora curentă și un secret comun, și HOTP (RFC 4226), care derivă un cod dintr-un contor. Secretul comun este codificat ca Base32 (RFC 4648), formatul transportat de codurile QR pentru Google Authenticator.
Pentru a genera coduri, instrumentul folosește secretul comun cu setările selectate. Poți alege 6, 7 sau 8 cifre, SHA-1, SHA-256 sau SHA-512 și o perioadă TOTP precum 15, 30 sau 60 de secunde. O bară live de numărătoare inversă arată cât timp rămâne valid codul curent bazat pe timp. Calculele folosesc WebCrypto HMAC și rulează local în browserul tău.
TOTP și HOTP diferă prin valoarea folosită pentru derivarea fiecărui cod: TOTP folosește timpul, în timp ce HOTP folosește un contor. Ambele formate produc parole unice dintr-un secret comun, dar distincția contează când testezi sau lucrezi cu un anumit flux de autentificare cu doi factori. Folosește generatorul pentru a pregăti coduri pentru date de test, a verifica un flux de autentificator sau a compara cele două standarde.
Generatorul TOTP / HOTP rulează în browserul tău și niciun dat nu este trimis către un server. Nu depinde de un server, astfel încât după ce pagina se încarcă continuă să funcționeze offline. Acest lucru îl face util pentru dezvoltatori și ingineri DevOps care au nevoie de coduri pentru testare locală, fixtures, documentație sau sarcini de dezvoltare fără a trimite secretul comun în altă parte.
Pasul 1: Introdu secretul comun în format Base32, codificarea folosită în codurile QR de autentificator.
Pasul 2: Setează opțiunile disponibile: alege 6, 7 sau 8 cifre și SHA-1, SHA-256 sau SHA-512.
Pasul 3: Alege o perioadă de timp pentru TOTP, precum 15, 30 sau 60 de secunde.
Pasul 4: Generează parola unică și verifică numărătoarea inversă live pentru a vedea cât timp rămâne valid codul TOTP curent.
Pasul 5: Copiază valorile de care ai nevoie pentru testul, fixture-ul sau alt flux de lucru.
Caz de utilizare: Generează valori TOTP sau HOTP pentru teste de autentificare, fixtures și date de seed în loc să tastezi manual coduri de exemplu.
Caz de utilizare: Creează un lot de coduri deodată când pregătești date de test, ca alternativă la inventarea manuală a valorilor.
Caz de utilizare: Produce coduri conform standardului și setărilor selectate, nu bazându-te pe presupuneri introduse la tastatură.
Caz de utilizare: Verifică modul în care un secret comun Base32 produce o parolă unică când testezi un flux de autentificator.
Caz de utilizare: Compară codurile TOTP bazate pe timp cu codurile HOTP bazate pe contor în timp ce dezvolți sau depanezi autentificarea cu doi factori.
Caz de utilizare: Pregătește parole unice de exemplu pentru documentație, demonstrații sau alte lucrări de dezvoltare.